> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.idenfy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve AML check profile



## OpenAPI

````yaml /openapi/aml.yaml get /aml/checks/{id}/profiles/{profileId}/
openapi: 3.1.0
info:
  title: iDenfy IVS Core API
  version: 0.0.0
  description: iDenfy Identity Verification Service's Core API documentation.
  contact:
    name: API Support
    url: https://idenfy-ivs.atlassian.net/servicedesk/customer/portal/1/group/-1
  x-logo:
    url: /static/idenfy_logo.svg
    altText: iDenfy logo
servers:
  - url: https://ivs.idenfy.com
security: []
tags:
  - name: AML Checks
    description: Anti-money laundering check endpoints.
  - name: AML Monitorings
    description: Anti-money laundering monitoring endpoints.
externalDocs:
  description: For other/more docs on iDenfy services visit our main documentation page.
  url: https://documentation.idenfy.com
paths:
  /aml/checks/{id}/profiles/{profileId}/:
    get:
      tags:
        - AML Checks
      summary: Retrieve AML check profile
      operationId: amlChecksProfilesRetrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this AML check.
          required: true
        - in: path
          name: profileId
          schema:
            type: string
          description: '`resourceId` from AML database search result.'
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AmlCheckProfileDetail'
          description: ''
      security:
        - apiKeyPair: []
components:
  schemas:
    AmlCheckProfileDetail:
      oneOf:
        - $ref: '#/components/schemas/IndividualProfileSchema'
        - $ref: '#/components/schemas/BusinessProfileSchema'
    IndividualProfileSchema:
      type: object
      properties:
        version:
          type: integer
          description: >-
            The version number can be used by clients to detect when a profile
            has been changed by our research team.
        resourceId:
          type: string
          description: >-
            The resource ID can be used to retrieve the full profile or the PDF
            of the individual.
        firstName:
          type: string
          description: The first name of the individual.
        middleName:
          type: string
          description: The middle name of the individual.
        lastName:
          type: string
          description: The last name of the individual.
        gender:
          allOf:
            - $ref: '#/components/schemas/MainSexEnum'
          description: The gender of the individual.
        isDeleted:
          type: boolean
          default: false
          description: >-
            A true value indicates that the individual has been deleted by our
            research team.
        deletionReason:
          $ref: '#/components/schemas/DeletionReason'
        isDeceased:
          type: boolean
          default: false
          description: A true value indicates that the individual is deceased.
        aliases:
          type: array
          items:
            $ref: '#/components/schemas/IndividualAlias'
          description: Defines a list of aliases for the individual.
        datesOfBirth:
          type: array
          items:
            type: string
          description: The list of birth dates for the individual.
        datesOfDeath:
          type: array
          items:
            type: string
          description: The list of death dates for the individual.
        nationalities:
          type: array
          items:
            $ref: '#/components/schemas/CountryEnum'
          description: List of the individual's nationalities.
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/IndividualAddressSchema'
          description: The list of the individual's addresses.
        profileImages:
          type: array
          items:
            type: string
          description: Contains a list of URLs to profiles images for the individual.
        notes:
          type: array
          items:
            $ref: '#/components/schemas/NotesSchema'
        contactEntries:
          type: array
          items:
            $ref: '#/components/schemas/ContactEntriesIndividualSchema'
        identifiers:
          type: array
          items:
            $ref: '#/components/schemas/IdentifierSchema'
        evidences:
          type: array
          items:
            $ref: '#/components/schemas/IndividualEvidenceSchema'
        sanEntries:
          $ref: '#/components/schemas/SanEntries'
        relEntries:
          type: array
          items:
            $ref: '#/components/schemas/RelSchema'
        rreEntries:
          type: array
          items:
            $ref: '#/components/schemas/RreSchema'
        poiEntries:
          type: array
          items:
            $ref: '#/components/schemas/PoiSchema'
        insEntries:
          type: array
          items:
            $ref: '#/components/schemas/InsSchema'
        ddEntries:
          type: array
          items:
            $ref: '#/components/schemas/DdSchema'
        pepEntries:
          $ref: '#/components/schemas/PepEntries'
        pepByAssociationEntries:
          type: array
          items:
            $ref: '#/components/schemas/PepAssociationSchema'
        individualLinks:
          type: array
          items:
            $ref: '#/components/schemas/LinkedIndividualSchema'
        businessLinks:
          type: array
          items:
            $ref: '#/components/schemas/LinkedBusinessSchema'
        griEntries:
          type: array
          items:
            $ref: '#/components/schemas/GriSchema'
        datasets:
          type: array
          items:
            $ref: '#/components/schemas/IndividualDatasetEnum'
          description: |
            The profile datasets
             * PEP_CURRENT - Only current PEPs
             * PEP_FORMER - Only former PEPs
             * PEP_LINKED - Only linked PEPs (PEP by Association)
             * SAN_CURRENT - Only current Sanctions
             * SAN_FORMER - Only former Sanctions
             * INS - Insolvency
             * RRE - Reputational Risk Exposure
             * DD - Disqualified Director
             * POI - Profile Of Interest
             * REL - Regulatory Enforcement List
             * GRI - Gambling Risk Intelligence.
      required:
        - addresses
        - aliases
        - businessLinks
        - contactEntries
        - datasets
        - datesOfBirth
        - datesOfDeath
        - ddEntries
        - evidences
        - griEntries
        - identifiers
        - individualLinks
        - insEntries
        - lastName
        - nationalities
        - notes
        - pepByAssociationEntries
        - pepEntries
        - poiEntries
        - profileImages
        - relEntries
        - resourceId
        - rreEntries
        - sanEntries
        - version
    BusinessProfileSchema:
      type: object
      properties:
        version:
          type: integer
          description: >-
            The version number can be used by clients to detect when a profile
            has changed.
        resourceId:
          type: string
          description: >-
            The resource ID can be used to retrieve the full profile or the PDF
            of the business.
        name:
          type: string
          description: The full name of the Business profile.
        description:
          type: string
          description: Additional information related to the nature of the business.
        isDeleted:
          type: boolean
          default: false
          description: >-
            A true value indicates that the Business has been deleted by our
            research team.
        deletionReason:
          $ref: '#/components/schemas/DeletionReason'
        aliases:
          type: array
          items:
            $ref: '#/components/schemas/BusinessAlias'
          description: Defines a list of aliases for the business.
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/BusinessAddressSchema'
        profileImages:
          type: array
          items:
            type: string
          description: Contains a list of URLs to profiles images for the Business.
        notes:
          type: array
          items:
            $ref: '#/components/schemas/NotesSchema'
        contactEntries:
          type: array
          items:
            $ref: '#/components/schemas/ContactEntriesBusinessSchema'
        businessTypes:
          type: array
          items:
            $ref: '#/components/schemas/BusinessTypeEnum'
          description: Indicated the type of business profile.
        activities:
          type: array
          items:
            type: string
          description: The list of business activities.
        identifiers:
          type: array
          items:
            $ref: '#/components/schemas/IdentifierSchema'
        evidences:
          type: array
          items:
            $ref: '#/components/schemas/BusinessEvidenceSchema'
        sanEntries:
          $ref: '#/components/schemas/SanEntries'
        relEntries:
          type: array
          items:
            $ref: '#/components/schemas/RelSchema'
        rreEntries:
          type: array
          items:
            $ref: '#/components/schemas/RreSchema'
        poiEntries:
          type: array
          items:
            $ref: '#/components/schemas/PoiSchema'
        insEntries:
          type: array
          items:
            $ref: '#/components/schemas/InsSchema'
        individualLinks:
          type: array
          items:
            $ref: '#/components/schemas/LinkedIndividualSchema'
        businessLinks:
          type: array
          items:
            $ref: '#/components/schemas/LinkedBusinessSchema'
        griEntries:
          type: array
          items:
            $ref: '#/components/schemas/GriSchema'
        soeEntry:
          $ref: '#/components/schemas/SoeSchema'
        datasets:
          type: array
          items:
            $ref: '#/components/schemas/BusinessDatasetEnum'
          description: |
            The profile datasets
             * PEP_LINKED - Only linked PEPs (PEP by Association)
             * SAN_CURRENT - Only current Sanctions
             * SAN_FORMER - Only former Sanctions
             * INS - Insolvency
             * RRE - Reputational Risk Exposure
             * POI - Profile Of Interest
             * REL - Regulatory Enforcement List
             * SOE_CURRENT - Only current SOE
             * SOE_FORMER - Only former SOE
             * GRI - Gambling Risk Intelligence.
      required:
        - activities
        - addresses
        - aliases
        - businessLinks
        - businessTypes
        - contactEntries
        - datasets
        - evidences
        - griEntries
        - identifiers
        - individualLinks
        - insEntries
        - name
        - notes
        - poiEntries
        - profileImages
        - relEntries
        - resourceId
        - rreEntries
        - sanEntries
        - version
    MainSexEnum:
      enum:
        - MALE
        - FEMALE
      type: string
    DeletionReason:
      type: object
      properties:
        reason:
          allOf:
            - $ref: '#/components/schemas/DeletionReasonEnum'
          description: The reason for the profile to be deleted.
        otherReason:
          type: string
          description: This value is populated when the reason enum is "Other".
      required:
        - reason
    IndividualAlias:
      type: object
      properties:
        firstName:
          type: string
        middleName:
          type: string
        lastName:
          type: string
        type:
          allOf:
            - $ref: '#/components/schemas/IndividualAliasTypeEnum'
          description: This field indicates the type of the alias.
      required:
        - type
    CountryEnum:
      enum:
        - AF
        - AX
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BQ
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - CV
        - KH
        - CM
        - CA
        - KY
        - CF
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CG
        - CK
        - CR
        - CI
        - HR
        - CU
        - CW
        - CY
        - CZ
        - CD
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - SZ
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IM
        - IL
        - IT
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - XK
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - KP
        - MK
        - MP
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - RE
        - RO
        - RU
        - RW
        - BL
        - SH
        - KN
        - LC
        - MF
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SX
        - SK
        - SI
        - SB
        - SO
        - ZA
        - GS
        - KR
        - SS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - UM
        - US
        - UY
        - UZ
        - VU
        - VA
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
      type: string
    IndividualAddressSchema:
      type: object
      properties:
        line1:
          type: string
          description: The first line of the address.
        line2:
          type: string
          description: The second line of the address.
        postcode:
          type: string
          description: The postcode of the address.
        city:
          type: string
          description: The city of the address.
        county:
          type: string
          description: The county of the address.
        countyAbbrev:
          type: string
          description: The abbreviation of the country if appropriate.
        country:
          allOf:
            - $ref: '#/components/schemas/CountryEnum'
          description: The country code of the address.
        addressType:
          allOf:
            - $ref: '#/components/schemas/IndividualAddressTypeEnum'
          description: Indicated the type of address.
      required:
        - addressType
        - country
    NotesSchema:
      type: object
      properties:
        value:
          type: string
      required:
        - value
    ContactEntriesIndividualSchema:
      type: object
      properties:
        category:
          $ref: '#/components/schemas/IndividualContactCategoryEnum'
        value:
          type: string
      required:
        - category
        - value
    IdentifierSchema:
      type: object
      properties:
        category:
          type: string
        value:
          type: string
      required:
        - category
        - value
    IndividualEvidenceSchema:
      type: object
      properties:
        evidenceId:
          type: string
          description: The unique ID of the evidence.
        originalUrl:
          type: string
          description: The original URL of the evidence source.
        isCopyrighted:
          type: boolean
          default: false
          description: >-
            This indicates whether or not the evidence is protected under
            copyright laws.
        title:
          type: string
          description: The title captured from the article.
        credibility:
          $ref: '#/components/schemas/CredibilityEnum'
        language:
          type: string
          description: The ISO 639-3 code for the language of the evidence.
        summary:
          type: string
          description: >-
            For copyrighted evidence, a text snippet from the evidence will be
            provided.
        keywords:
          type: string
          description: Key words associated with the evidence.
        captureDate:
          type: string
          description: The ISO date that the evidence was captured into the system.
        publicationDate:
          type: string
          description: The ISO date that the evidence was originally published.
        assetUrl:
          type: string
          description: >-
            The URL link to the PDF version of the evidence. This is only
            available for non-copyright sources.
        datasets:
          type: array
          items:
            $ref: '#/components/schemas/IndividualEvidenceDatasetEnum'
          description: |
            The evidence datasets
             * PEP_CURRENT - Only current PEPs
             * PEP_FORMER - Only former PEPs
             * PEP_LINKED - Only linked PEPs (PEP by Association)
             * SAN_CURRENT - Only current Sanctions
             * SAN_FORMER - Only former Sanctions
             * INS - Insolvency
             * RRE - Reputational Risk Exposure
             * DD - Disqualified Director
             * POI - Profile Of Interest
             * REL - Regulatory Enforcement List
             * GRI - Gambling Risk Intelligence
             * ID - Identity
             * CORP - Corporate/Business.
      required:
        - datasets
        - evidenceId
        - originalUrl
    SanEntries:
      type: object
      description: Serializer for current and former sanction entries.
      properties:
        current:
          type: array
          items:
            $ref: '#/components/schemas/SanctionSchema'
        former:
          type: array
          items:
            $ref: '#/components/schemas/SanctionSchema'
      required:
        - current
        - former
    RelSchema:
      type: object
      description: Serializer for an Regulatory Enforcement List (REL) entry.
      properties:
        category:
          $ref: '#/components/schemas/RelCategoryEnum'
        subcategory:
          type: string
          description: The name of the list.
        events:
          type: array
          items:
            $ref: '#/components/schemas/RelEvent'
      required:
        - category
        - events
        - subcategory
    RreSchema:
      type: object
      description: Serializer for an Reputational Risk Exposure (RRE) entry.
      properties:
        category:
          type: string
        subcategory:
          type: string
        events:
          type: array
          items:
            $ref: '#/components/schemas/RreEvent'
      required:
        - category
        - events
    PoiSchema:
      type: object
      description: Serializer for a Profile of Interest (POI) entry.
      properties:
        category:
          type: string
          description: The category of the Profile of Interest.
        evidenceIds:
          type: array
          items:
            type: string
          description: The list of evidence associated with the POI entry.
        positions:
          type: array
          items:
            $ref: '#/components/schemas/PoiPosition'
      required:
        - category
        - evidenceIds
        - positions
    InsSchema:
      type: object
      description: Serializer for an Insolvency (INS) entry.
      properties:
        type:
          type: string
          description: The type of insolvency.
        insolvencyIdNumber:
          type: string
          description: >-
            The unique insolvency ID number provided by the insolvency
            institution.
        solicitor:
          type: string
          description: The name of the solicitor who is involved in the insolvency process.
        court:
          type: string
          description: The name of the court before which the insolvency case is presented.
        petitioner:
          type: string
          description: The individual/company who files the petition.
        debt:
          type: string
          description: The amount owned by the insolvent subject.
        accountantInBankruptcyCaseNumber:
          type: string
          description: >-
            The unique case number provided by the Scotland's insolvency service
            (Accountant in Bankruptcy).
        insolvencyStartDate:
          type: string
          description: The start date of the insolvency.
        insolvencyEndDate:
          type: string
          description: The end date of the insolvency.
        hearingDate:
          type: string
          description: The date of the hearing of the insolvency case in court.
        presentedDateOfPetition:
          type: string
          description: The date on which the petition was presented.
        gazetteIssueDate:
          type: string
          description: The date on which the information was published on the gazette.
        awardDate:
          type: string
          description: >-
            The date on which the insolvency awarding institution announces its
            decision.
        firstOrderDate:
          type: string
          description: The date on which the first insolvency order was made.
        evidenceIds:
          type: array
          items:
            type: string
          description: The list of the supporting evidence.
      required:
        - evidenceIds
        - type
    DdSchema:
      type: object
      description: Serializer for a Disqualified Director (DD) entry.
      properties:
        caseReference:
          type: string
          description: The unique Companies House ID number of the disqualification.
        reason:
          type: string
          description: The reason for the disqualification.
        conduct:
          type: string
          description: The name of the company that the person was acting for.
        dateFrom:
          type: string
          description: Start date of the disqualification.
        dateTo:
          type: string
          description: End date of the disqualification.
        evidenceIds:
          type: array
          items:
            type: string
          description: The list of supporting evidence.
      required:
        - evidenceIds
        - reason
    PepEntries:
      type: object
      description: Serializer for current and former PEP entries.
      properties:
        pepTier:
          allOf:
            - $ref: '#/components/schemas/FullPepTierEnum'
          description: Defines the PEP tier of the individual.
        current:
          type: array
          items:
            $ref: '#/components/schemas/PepSchema'
        former:
          type: array
          items:
            $ref: '#/components/schemas/PepSchema'
      required:
        - current
        - former
    PepAssociationSchema:
      type: object
      description: >-
        Serializer for a Politically Exposed Person (PEP) by Association entry,
        detailing an individual's connection to a PEP.
      properties:
        resourceId:
          type: string
          description: >-
            The resource ID to retrieve the profile or PDF of the associated
            individual.
        evidenceIds:
          type: array
          items:
            type: string
          description: A list of evidence IDs supporting the association.
      required:
        - evidenceIds
        - resourceId
    LinkedIndividualSchema:
      type: object
      properties:
        resourceId:
          type: string
          description: >-
            The resource ID can be used to retrieve the full profile or the PDF
            of the business.
        relationship:
          type: string
          description: >-
            Text including names used to describe the relationship with the
            business.
        ownershipPercentage:
          type: integer
          description: >-
            For certain relationship type related to business ownership this
            value will indicate the percentage ownership when known.
        firstName:
          type: string
        middleName:
          type: string
        lastName:
          type: string
        datasets:
          type: array
          items:
            $ref: '#/components/schemas/IndividualDatasetEnum'
      required:
        - datasets
        - lastName
        - relationship
        - resourceId
    LinkedBusinessSchema:
      type: object
      properties:
        resourceId:
          type: string
          description: >-
            The resource ID can be used to retrieve the full profile or the PDF
            of the business.
        relationship:
          type: string
          description: >-
            Text including names used to describe the relationship with the
            business.
        ownershipPercentage:
          type: integer
          description: >-
            For certain relationship type related to business ownership this
            value will indicate the percentage ownership when known.
        name:
          type: string
          description: The name of the linked business.
        datasets:
          type: array
          items:
            $ref: '#/components/schemas/BusinessDatasetEnum'
          description: |
            The profile datasets
             * PEP_LINKED - Only linked PEPs (PEP by Association)
             * SAN_CURRENT - Only current Sanctions
             * SAN_FORMER - Only former Sanctions
             * INS - Insolvency
             * RRE - Reputational Risk Exposure
             * POI - Profile Of Interest
             * REL - Regulatory Enforcement List
             * SOE_CURRENT - Only current SOE
             * SOE_FORMER - Only former SOE
             * GRI - Gambling Risk Intelligence.
        individualLinks:
          type: array
          items:
            $ref: '#/components/schemas/LinkedIndividualSchema'
          description: The list of individuals that are linked to this business.
      required:
        - datasets
        - name
        - relationship
        - resourceId
    GriSchema:
      type: object
      description: Serializer for a Gambling Risk Intelligence (GRI) entry.
      properties:
        evidenceId:
          type: string
          description: The ID of supporting evidence.
        title:
          type: string
          description: The title of the GRI report.
        summary:
          type: string
          description: The description of the GRI report.
        keywords:
          type: string
          description: Keywords associated with the report.
      required:
        - evidenceId
        - keywords
        - summary
        - title
    IndividualDatasetEnum:
      enum:
        - PEP_CURRENT
        - PEP_FORMER
        - PEP_LINKED
        - SAN_CURRENT
        - SAN_FORMER
        - INS
        - RRE
        - DD
        - POI
        - REL
        - GRI
      type: string
    BusinessAlias:
      type: object
      properties:
        alias:
          type: string
        type:
          allOf:
            - $ref: '#/components/schemas/BusinessAliasTypeEnum'
          description: This field indicates the type of the alias.
      required:
        - alias
        - type
    BusinessAddressSchema:
      type: object
      properties:
        line1:
          type: string
          description: The first line of the address.
        line2:
          type: string
          description: The second line of the address.
        postcode:
          type: string
          description: The postcode of the address.
        city:
          type: string
          description: The city of the address.
        county:
          type: string
          description: The county of the address.
        countyAbbrev:
          type: string
          description: The abbreviation of the country if appropriate.
        country:
          allOf:
            - $ref: '#/components/schemas/CountryEnum'
          description: The country code of the address.
        addressType:
          allOf:
            - $ref: '#/components/schemas/BusinessAddressTypeEnum'
          description: Indicated the type of address.
      required:
        - addressType
        - country
    ContactEntriesBusinessSchema:
      type: object
      properties:
        category:
          $ref: '#/components/schemas/BusinessContactCategoryEnum'
        value:
          type: string
      required:
        - category
        - value
    BusinessTypeEnum:
      enum:
        - VESSEL
        - AIRCRAFT
        - TERRORIST_ORGANISATION
        - ORGANISED_CRIME_GROUP
        - MILITANT_GROUP
        - SHELL_CORPORATION
        - SOVEREIGN_WEALTH_FUND
        - GOVERNMENT_BODY
        - POLITICAL_PARTY
        - CIVIC_MOVEMENT
        - INTERNATIONAL_ORGANISATION
        - OTHER_INTERNATIONAL_ORGANISATIONS
        - NON_GOVERNMENT_ORGANISATION
        - CHARITABLE_ORGANISATION
        - PROFESSIONAL_ORGANISATION
        - PRIVATELY_HELD_COMPANY
        - PUBLICLY_TRADED_COMPANY
        - TRUST_FUND
        - BANK
        - CRYPTOCURRENCY_BUSINESS
        - GAMING_BUSINESS
        - NON_BANK_FINANCIAL_INSTITUTION
        - DESIGNATED_PROFESSIONAL_ORGANISATION
        - WEBSITE
        - FAKE_ENTITY_CLONE_COMPANY
        - APPS_APPLICATIONS
      type: string
    BusinessEvidenceSchema:
      type: object
      properties:
        evidenceId:
          type: string
          description: The unique ID of the evidence.
        originalUrl:
          type: string
          description: The original URL of the evidence source.
        isCopyrighted:
          type: boolean
          default: false
          description: >-
            This indicates whether or not the evidence is protected under
            copyright laws.
        title:
          type: string
          description: The title captured from the article.
        credibility:
          $ref: '#/components/schemas/CredibilityEnum'
        language:
          type: string
          description: The ISO 639-3 code for the language of the evidence.
        summary:
          type: string
          description: >-
            For copyrighted evidence, a text snippet from the evidence will be
            provided.
        keywords:
          type: string
          description: Key words associated with the evidence.
        captureDate:
          type: string
          description: The ISO date that the evidence was captured into the system.
        publicationDate:
          type: string
          description: The ISO date that the evidence was originally published.
        assetUrl:
          type: string
          description: >-
            The URL link to the PDF version of the evidence. This is only
            available for non-copyright sources.
        datasets:
          type: array
          items:
            $ref: '#/components/schemas/BusinessEvidenceDatasetEnum'
          description: |
            The evidence datasets
             * SAN_CURRENT - Only current Sanctions
             * SAN_FORMER - Only former Sanctions
             * INS - Insolvency
             * RRE - Reputational Risk Exposure
             * POI - Profile Of Interest
             * REL - Regulatory Enforcement List
             * SOE_CURRENT - Only current SOE
             * SOE_FORMER - Only former SOE
             * GRI - Gambling Risk Intelligence
             * ID - Identity
             * CORP - Corporate/Business
             * PEP_CURRENT - (Deprecated - ignore).
      required:
        - datasets
        - evidenceId
        - originalUrl
    SoeSchema:
      type: object
      description: Serializer for a State-Owned Enterprise (SOE) entry.
      properties:
        level:
          allOf:
            - $ref: '#/components/schemas/SoeLevelEnum'
          description: Indicates whether this is a nation or local SOE.
        status:
          allOf:
            - $ref: '#/components/schemas/SoeSchemaStatusEnum'
          description: Indicates whether the SOE is current or former.
        evidenceIds:
          type: array
          items:
            type: string
          description: The list of supporting evidence.
      required:
        - evidenceIds
        - status
    BusinessDatasetEnum:
      enum:
        - PEP_LINKED
        - SAN_CURRENT
        - SAN_FORMER
        - INS
        - RRE
        - POI
        - REL
        - SOE_CURRENT
        - SOE_FORMER
        - GRI
      type: string
    DeletionReasonEnum:
      enum:
        - GOVERNMENT_POSITION_OUT_OF_SCOPE
        - ADVERSE_MEDIA_CATEGORY_OUT_OF_SCOPE
        - DUPLICATE_PROFILE
        - REDUNDANT_PROFILE
        - EXPIRED_RISK_RELEVANCE
        - OTHER
      type: string
    IndividualAliasTypeEnum:
      enum:
        - ORIGINAL_SCRIPT_NAME
        - NAME_SPELLING_VARIATION
        - SHORTENED_NAME
        - MAIDEN_NAME
        - NICKNAME
        - PREVIOUS_NAME
        - FAKE_NAME
      type: string
    IndividualAddressTypeEnum:
      enum:
        - PLACE_OF_BIRTH
        - RESIDENTIAL
        - BUSINESS
        - PREVIOUS_RESIDENTIAL
        - PREVIOUS_BUSINESS
      type: string
    IndividualContactCategoryEnum:
      enum:
        - TELEPHONE
        - FAX
        - MOBILE
        - EMAIL
      type: string
    CredibilityEnum:
      enum:
        - LOW
        - MEDIUM
        - HIGH
      type: string
    IndividualEvidenceDatasetEnum:
      enum:
        - PEP_CURRENT
        - PEP_FORMER
        - PEP_LINKED
        - SAN_CURRENT
        - SAN_FORMER
        - INS
        - RRE
        - DD
        - POI
        - REL
        - GRI
        - ID
        - CORP
      type: string
    SanctionSchema:
      type: object
      properties:
        sanctionId:
          type: string
          description: The sanction ID provided by the sanctioning body.
        measures:
          type: array
          items:
            type: string
          description: The list of measures enforced by the sanctioning body.
        regime:
          $ref: '#/components/schemas/SanctionRegime'
        events:
          type: array
          items:
            $ref: '#/components/schemas/SanctionEvent'
      required:
        - events
        - measures
        - regime
    RelCategoryEnum:
      enum:
        - FINANCIAL_REGULATOR
        - LAW_ENFORCEMENT
      type: string
    RelEvent:
      type: object
      description: Serializer for a Regulatory Enforcement List (REL) event.
      properties:
        type:
          type: string
          description: The type of event associated with the list entry.
        currencyCode:
          type: string
          description: >-
            For specific event types, there can be associated financial
            penalties. This field indicates the international currency code.
        amount:
          type: integer
          description: >-
            For specific event types, there can be associated financial
            penalties. This field indicates the monetary amount.
        period:
          allOf:
            - $ref: '#/components/schemas/Period'
          description: Indicates the length of time of the penalty.
        date:
          type: string
          description: The ISO date of the event.
        evidenceIds:
          type: array
          items:
            type: string
          description: The list of evidence associated with the REL event.
      required:
        - evidenceIds
        - type
    RreEvent:
      type: object
      description: Serializer for a Reputational Risk Exposure (RRE) event.
      properties:
        type:
          type: string
        date:
          type: string
          description: The ISO date associated with the event.
        evidenceIds:
          type: array
          items:
            type: string
          description: The list of evidence associated with the RRE event.
      required:
        - evidenceIds
        - type
    PoiPosition:
      type: object
      description: Serializer for a position within a Profile of Interest (POI) entry.
      properties:
        position:
          type: string
          description: The name of the political position.
        segment:
          type: string
        country:
          $ref: '#/components/schemas/CountryEnum'
        dateFrom:
          type: string
        dateTo:
          type: string
      required:
        - position
    FullPepTierEnum:
      enum:
        - PEP_TIER_1
        - PEP_TIER_2
        - PEP_TIER_3
        - PEP_BY_ASSOCIATION
      type: string
    PepSchema:
      type: object
      description: Serializer for a Politically Exposed Person (PEP) entry.
      properties:
        country:
          allOf:
            - $ref: '#/components/schemas/CountryEnum'
          description: The country code of the country where the position is held.
        segment:
          type: string
          description: The category of in scope PEP positions for a particular country.
        position:
          type: string
          description: The exact political position in scope for a particular country.
        dateFrom:
          type: string
          description: >-
            The start data of the political position in format YYYY or YYYY-MM
            or YYYY-MM-DD.
        dateTo:
          type: string
          description: >-
            The end date of the political position in format YYYY or YYYY-MM or
            YYYY-MM-DD. This date can be in the future.
        evidenceIds:
          type: array
          items:
            type: string
          description: The list of evidence linked to the political position.
      required:
        - evidenceIds
        - position
    BusinessAliasTypeEnum:
      enum:
        - ORIGINAL_SCRIPT_NAME
        - NAME_SPELLING_VARIATION
        - NAME_ABBREVIATION
        - PREVIOUS_NAME
        - BRAND_NAME
        - FAKE_NAME
      type: string
    BusinessAddressTypeEnum:
      enum:
        - REGISTERED
        - OPERATING
        - PREVIOUS
        - BRANCH_OFFICE
        - REPRESENTATIVE_OFFICE
        - HEADQUARTERS
      type: string
    BusinessContactCategoryEnum:
      enum:
        - TELEPHONE
        - FAX
        - WEBSITE
      type: string
    BusinessEvidenceDatasetEnum:
      enum:
        - SAN_CURRENT
        - SAN_FORMER
        - INS
        - RRE
        - POI
        - REL
        - SOE_CURRENT
        - SOE_FORMER
        - GRI
        - ID
        - CORP
        - PEP_CURRENT
      type: string
    SoeLevelEnum:
      enum:
        - NATIONAL
        - LOCAL
      type: string
    SoeSchemaStatusEnum:
      enum:
        - CURRENT
        - FORMER
      type: string
    SanctionRegime:
      type: object
      properties:
        body:
          type: string
          description: The name of the issuing body.
        bodyId:
          type: integer
          description: >-
            The ID of the sanctioning bodies, that imposed the sanction. The
            full list of sanction bodies and their IDs is provided by
            /dictionaries/sanction-bodies endpoint.
        name:
          type: string
          description: The name of the sanction Regime allocated by the sanctioning body.
        origin:
          type: string
          description: The country or region that issues the sanctions.
        types:
          type: array
          items:
            $ref: '#/components/schemas/SanctionRegimeTypeEnum'
          description: The type of sanction classified by the sanctioning body.
      required:
        - body
        - origin
    SanctionEvent:
      type: object
      properties:
        type:
          allOf:
            - $ref: '#/components/schemas/SanctionEventTypeEnum'
          description: Indicated what the event type was.
        date:
          type: string
          description: The date of the event.
        evidenceIds:
          type: array
          items:
            type: string
          description: The list of evidence Ids associated with the sanction event.
      required:
        - date
        - evidenceIds
        - type
    Period:
      type: object
      properties:
        days:
          type: integer
        years:
          type: integer
        months:
          type: integer
    SanctionRegimeTypeEnum:
      enum:
        - COUNTER_NARCOTICS
        - HOSTILE_ACTIVITIES
        - HUMAN_RIGHTS
        - NON_PROLIFERATION
        - TERRITORIAL_VIOLATION
        - TERRORISM
      type: string
    SanctionEventTypeEnum:
      enum:
        - ADDED
        - AMENDED
        - REMOVED
      type: string
  securitySchemes:
    apiKeyPair:
      type: http
      scheme: basic
      description: >-
        The request must contain basic auth headers where username is *API key*
        and password is *API secret*.<br>

        In order for you to start using our API you will need an **API key** and
        **API secret**.<br>

        Both can be retrieved by contacting *iDenfy's support* or *iDenfy's
        sales team*.

````